Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.feedhenry.sdk.api
Class FHCloudRequest

    java.lang.Object
      com.feedhenry.sdk.FHRemote
          com.feedhenry.sdk.api.FHCloudRequest

All Implemented Interfaces:
  FHAct

    public class FHCloudRequest

extends FHRemote

Nested Class Summary
`static class` | `FHCloudRequest.Methods`

Field Summary
`protected static java.lang.String` | `LOG_TAG`

Fields inherited from class com.feedhenry.sdk.FHRemote
`mCallback, mContext, mProperties, mUDID, PATH_PREFIX`

Constructor Summary
`FHCloudRequest(android.content.Context context, CloudProps pCloudProps)`

Method Summary
`protected org.apache.http.Header[]` | `buildHeaders(org.apache.http.Header[] pHeaders)`
`void` | `executeAsync(FHActCallback pCallback)` Execute the request asynchronously.
`protected java.lang.String` | `getPath()`
`protected JSONObject` | `getRequestArgs()`
`void` | `setHeaders(org.apache.http.Header[] pHeaders)`
`void` | `setMethod(FHCloudRequest.Methods pMethod)`
`void` | `setPath(java.lang.String pPath)`
`void` | `setRequestArgs(JSONObject pArgs)`

Methods inherited from class com.feedhenry.sdk.FHRemote
`executeAsync, getApiURl, setCallback, setUDID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_TAG

    protected static final java.lang.String LOG_TAG

See Also:
  Constant Field Values

Constructor Detail

### FHCloudRequest

    public FHCloudRequest(android.content.Context context,
                          CloudProps pCloudProps)

Method Detail

### setPath

    public void setPath(java.lang.String pPath)

### setMethod

    public void setMethod(FHCloudRequest.Methods pMethod)

### setHeaders

    public void setHeaders(org.apache.http.Header[] pHeaders)

### setRequestArgs

    public void setRequestArgs(JSONObject pArgs)

### getPath

    protected java.lang.String getPath()

  Specified by:
    `getPath` in class `FHRemote`

### getRequestArgs

    protected JSONObject getRequestArgs()

  Specified by:
    `getRequestArgs` in class `FHRemote`

### executeAsync

    public void executeAsync(FHActCallback pCallback)
                      throws java.lang.Exception

  Description copied from interface: `FHAct`
  Execute the request asynchronously. Execute the pCallback function when it finishes.

  Specified by:
    `executeAsync` in interface `FHAct`
  Overrides:
    `executeAsync` in class `FHRemote`
  Parameters:
    `pCallback` - the callback function
  Throws:
    `java.lang.Exception`

### buildHeaders

    protected org.apache.http.Header[] buildHeaders(org.apache.http.Header[] pHeaders)
                                             throws java.lang.Exception

  Specified by:
    `buildHeaders` in class `FHRemote`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD